# follow_track.hpp File Reference

Template function for track followers. More...

`#include "yapf.hpp"`
`#include "../depot_map.h"`

Go to the source code of this file.

## Data Structures
struct | CFollowTrackT< Ttr_type_, T90deg_turns_allowed_, Tmask_reserved_tracks >
| Track follower helper template class (can serve pathfinders and vehicle controllers). More...
## Typedefs
typedef CFollowTrackT < TRANSPORT_WATER, true > | CFollowTrackWater
typedef CFollowTrackT < TRANSPORT_ROAD, true > | CFollowTrackRoad
typedef CFollowTrackT < TRANSPORT_RAIL, true > | CFollowTrackRail
typedef CFollowTrackT < TRANSPORT_WATER, false > | CFollowTrackWaterNo90
typedef CFollowTrackT < TRANSPORT_ROAD, false > | CFollowTrackRoadNo90
typedef CFollowTrackT < TRANSPORT_RAIL, false > | CFollowTrackRailNo90
typedef CFollowTrackT < TRANSPORT_RAIL, true, true > | CFollowTrackFreeRail
typedef CFollowTrackT < TRANSPORT_RAIL, false, true > | CFollowTrackFreeRailNo90

## Detailed Description

Template function for track followers.

Definition in file follow_track.hpp.